#ifndef CCTOOLS_GETENV_H
#define CCTOOLS_GETENV_H

/** @file getenv.h Get environment variables with debugging. */

/** Get an environment variable. This function performs exactly the same
as the standard getenv, except that requests are logged via the @ref debug facility
with a flag of @ref D_GETENV.  This can be useful for debugging complex systems.
@param name The name of the environment variable to get.
@return The value of the environment variable, or NULL if not found.
*/

char * getenv ( const char *name );

#endif
